#
# spec file for package xmpp-dns
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xmpp-dns
Version:        0.3.8
Release:        1.2
Summary:        A CLI tool to check XMPP SRV records
License:        BSD-2-Clause
Group:          Productivity/Networking/Instant Messenger
URL:            https://salsa.debian.org/mdosch/xmpp-dns
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging

%description
A CLI tool to check XMPP SRV records.

%prep
%setup -q -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
install -D -m0644 man/%{name}.1 %{buildroot}%{_mandir}/man1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Wed Aug 23 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.3.8:
  * Don't look up IPs and don't try to connect if the SRV records
    target is ".".
* Thu Aug 17 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.3.7:
  * Show reason for denied s2s due to policy-violation.
  * Apply timeout to TLS handshake as well instead of only for the
    tcp connection.
* Tue Mar 28 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.3.6:
  * Remove println() added for debugging.
* Tue Mar 28 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.3.5:
  * Don't use CNAME of xmpp server domain for SRV lookups
    (via xmppsrv UNRELEASED).
* Fri Oct 28 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.3.4:
  * Fix namespace for xmpps-client stream opening (jabber:client
    instead of jabber:server).
  * Add from attribute for server-to-server connection test.
* Tue Oct 18 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.3.3:
  * Fix wrong timeout parsing on some systems.
* Fri Oct  7 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.3.2:
  * Fix detection of XMPP support when using direct TLS and ALPN.
* Mon Aug 22 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.3.1:
  * Print error details if SRV lookup fails.
  * Print error details if IP lookup fails.
  * Respect CNAME records.
  * Detect CNAME loops (max. 5 CNAMEs) (via xmppsrv >= 0.2.4)
* Thu Aug  4 2022 Michael Vetter <mvetter@suse.com>
- Initial package of xmpp-dns 0.3.0 for openSUSE
